import { editor as MonacoEditor, Position, Range } from 'monaco-editor';
import { SemanticTokens, SemanticTokensLegend } from 'vscode/vscode/vs/editor/common/languages';

type SemanticTokensResult = {
    tokens: SemanticTokens;
    legend: SemanticTokensLegend;
};
interface IDecodedMetadata {
    languageId: string | undefined;
    tokenType: StandardTokenType;
    bold: boolean | undefined;
    italic: boolean | undefined;
    underline: boolean | undefined;
    strikethrough: boolean | undefined;
    foreground: string | undefined;
    background: string | undefined;
}
export interface ISemanticTokenInfo {
    type: string;
    modifiers: string[];
    range: Range;
    metadata?: IDecodedMetadata;
    definitions: any;
}
declare const enum StandardTokenType {
    Other = 0,
    Comment = 1,
    String = 2,
    RegEx = 3
}
export declare function getSemanticTokenAtPosition(model: MonacoEditor.ITextModel, themeService: any, semanticTokens: SemanticTokensResult, pos: Position): ISemanticTokenInfo | null;
export {};
